javax.persistence

## Enum SharedCacheMode

- java.lang.Object
- - java.lang.Enum<SharedCacheMode>
  - - javax.persistence.SharedCacheMode

- All Implemented Interfaces:
    Serializable, Comparable<SharedCacheMode>

      public enum SharedCacheMode
      extends Enum<SharedCacheMode>

  Specifies how the provider must use a second-level cache for the persistence unit. Corresponds to the value of the `persistence.xml` `shared-cache-mode` element, and returned as the result of `PersistenceUnitInfo.getSharedCacheMode()`.
  Since:
    Java Persistence 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` All entities and entity-related state and data are cached.
    `DISABLE_SELECTIVE` Caching is enabled for all entities except those for which `Cacheable(false) is specified.`
    `ENABLE_SELECTIVE` Caching is enabled for all entities for `Cacheable(true)` is specified.
    `NONE` Caching is disabled for the persistence unit.
    `UNSPECIFIED` Caching behavior is undefined: provider-specific defaults may apply.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SharedCacheMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SharedCacheMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final SharedCacheMode ALL

      All entities and entity-related state and data are cached.

    - #### NONE

          public static final SharedCacheMode NONE

      Caching is disabled for the persistence unit.

    - #### ENABLE_SELECTIVE

          public static final SharedCacheMode ENABLE_SELECTIVE

      Caching is enabled for all entities for `Cacheable(true)` is specified. All other entities are not cached.

    - #### DISABLE_SELECTIVE

          public static final SharedCacheMode DISABLE_SELECTIVE

      Caching is enabled for all entities except those for which `Cacheable(false) is specified. Entities for which `Cacheable(false) is specified are not cached.``

    - #### UNSPECIFIED

          public static final SharedCacheMode UNSPECIFIED

      Caching behavior is undefined: provider-specific defaults may apply.

  - ### Method Detail

    - #### values

          public static SharedCacheMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SharedCacheMode c : SharedCacheMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SharedCacheMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.